; Copyright 2006-2018 Intel Corporation
;
; This software and the related documents are Intel copyrighted materials, and
; your use of them is governed by the express license under which they were
; provided to you (License). Unless the License provides otherwise, you may
; not use, modify, copy, publish, distribute, disclose, or transmit this
; software or the related documents without Intel's prior written permission.
;
; This software and the related documents are provided as is, with no express
; or implied warranties, other than those that are expressly stated in the
; License.

;SSF diagnosis
(batch* rules/intel_ssf_diagnosis.clp)

;rules
(batch* rules/cpu/cpu-not-intel64.clp)
(batch* rules/cpu/cpu-data-is-too-old.clp)
(batch* rules/cpu/cpu-data-missing.clp)

(batch* rules/kernel/kernel-data-is-too-old.clp)
(batch* rules/kernel/kernel-data-missing.clp)
(batch* rules/kernel/kernel-not-ssf.clp)

(batch* rules/mount/mount-bad-tmp-perms.clp)
(batch* rules/mount/mount-data-is-too-old.clp)
(batch* rules/mount/mount-data-missing.clp)
(batch* rules/mount/mount-dev-shm-not-mounted.clp)
(batch* rules/mount/mount-home-not-defined.clp)
(batch* rules/mount/mount-not-uniform-home-inode.clp)
(batch* rules/mount/mount-not-uniform-home-path.clp)
(batch* rules/mount/mount-proc-not-mounted.clp)
(batch* rules/mount/mount-tmpdir-not-defined.clp)

(batch* rules/ssf_version/latest-ssf-version.clp)
(batch* rules/ssf_version/ssf-file-not-found.clp)
(batch* rules/ssf_version/ssf-file-other-error.clp)
(batch* rules/ssf_version/ssf-layer-dependency-self.clp)
(batch* rules/ssf_version/ssf_version-data-missing.clp)
(batch* rules/ssf_version/ssf_version-data-is-too-old.clp)
